<?php
/**
 * The header for this theme.
 *
 * @package Maskitto Light
 */

global $maskitto_light;

$enable_javascript = 'http://www.enable-javascript.com';

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<?php if( isset( $maskitto_light['responsive-status'] ) && $maskitto_light['responsive-status'] == 1 ) { ?>
		<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php } ?>
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<?php if( isset($maskitto_light['favicon-image']) && $maskitto_light['favicon-image']['url'] ) { ?>
		<link rel="shortcut icon" href="<?php echo esc_url($maskitto_light['favicon-image']['url']); ?>" />
	<?php } 

	if( isset( $maskitto_light ) ) { ob_start(); ?>
	<style type="text/css">
		<?php if( isset($maskitto_light['primary-color']) && $maskitto_light['primary-color'] && $maskitto_light['primary-color'] != '#e15454' ) { ?>
			body a, body a:hover {
				color: <?php echo esc_attr($maskitto_light['primary-color']); ?>;
			}
			.service-icon i, header .navbar-nav .dropdown.open .dropdown-toggle, .active-category, .post-gallery-title, .comment-navigation .current {
				color: <?php echo esc_attr($maskitto_light['primary-color']); ?>!important;
			}

			.service-icon, .service-line, .current-menu-item a, .current_page_parent a, blockquote, header .navbar-nav .dropdown.open .dropdown-toggle {
				border-color: <?php echo esc_attr($maskitto_light['primary-color']); ?>!important;
			}

			.btn-danger, .section-title-line, .blog-category, header .navbar-nav .dropdown.open .current-menu-item {
				background-color: <?php echo esc_attr($maskitto_light['primary-color']); ?>!important;
			}

			@media (min-width: 1000px) {

				 header .navbar-nav .current-menu-item a, header .navbar-nav .current_page_parent a {
					color: <?php echo esc_attr($maskitto_light['primary-color']); ?>!important;
				}

			}

			@media (max-width: 1000px) {

				header .navbar-nav .current-menu-item, header .navbar-nav .current_page_parent {
					background-color: <?php echo esc_attr($maskitto_light['primary-color']); ?>;
				}

			}
		<?php } ?>

		<?php if( isset($maskitto_light['body-background-color']) && $maskitto_light['body-background-color'] != '#ffffff' ) { ?>
			body {
				background-color: <?php echo esc_attr($maskitto_light['body-background-color']); ?>!important;
			}
		<?php } ?>

		<?php if( isset($maskitto_light['footer-background-color']) && $maskitto_light['footer-background-color'] != '#565656' ) { ?>
			footer.bottom {
				background-color: <?php echo esc_attr($maskitto_light['footer-background-color']); ?>!important;
			}
		<?php } ?>

		<?php if( isset($maskitto_light['body-font']) ) { ?>
			body {
				font-family: "<?php print_r($maskitto_light['body-font']['font-family']); ?>"!important;
				color: <?php print_r($maskitto_light['body-font']['color']); ?>;
			}
		<?php } ?>

		<?php if( isset($maskitto_light['blog-background']) ) { ?>
			.page-blog {
				<?php if( isset($maskitto_light['blog-background']['background-color']) && $maskitto_light['blog-background']['background-color'] ) { ?>
					background-color: <?php echo esc_attr($maskitto_light['blog-background']['background-color']); ?>!important;
				<?php } ?>
				<?php if( isset($maskitto_light['blog-background']['background-image']) && $maskitto_light['blog-background']['background-image'] ) { ?>
					background-image: url(<?php echo esc_url($maskitto_light['blog-background']['background-image']); ?>)!important;
				<?php } ?>
			}
		<?php } ?>
	</style>
	<?php echo preg_replace( '/\s+/', ' ', ob_get_clean() ); ?>
	<?php } ?>

	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<?php if( $maskitto_light['web-layout-status']) { ?>
	<div class="boxed-layout">
<?php } ?>

	<header class="top">
		<?php if( ( isset( $maskitto_light['header-contacts'] ) && isset( $maskitto_light['header-social'] ) ) && ( $maskitto_light['header-contacts'] || $maskitto_light['header-social'] ) ) { ?>
		<div class="header-details">
			<div class="container">
				<div class="row">
					<div class="col-md-7 col-sm-7 our-info">
						<?php if(isset($maskitto_light['header-contacts']) && $maskitto_light['header-contacts']){ ?>

							<?php if( isset($maskitto_light['header-contacts-mail']) && $maskitto_light['header-contacts-mail'] ){ ?>
								<a href="mailto:<?php echo esc_attr($maskitto_light['header-contacts-mail']); ?>"><i class="fa fa-envelope"></i><?php echo esc_attr($maskitto_light['header-contacts-mail']); ?></a>
							<?php } ?>

							<?php if( isset($maskitto_light['header-contacts-phone']) && $maskitto_light['header-contacts-phone'] ){ ?>
								<span><i class="fa fa-phone"></i><?php echo esc_attr($maskitto_light['header-contacts-phone']); ?></span>
							<?php } ?>

						<?php } ?>
					</div>
					<div class="col-md-5 col-sm-5 text-right soc-icons">
						<?php if(isset($maskitto_light['header-social']) && $maskitto_light['header-social']){ ?>

							<?php if(isset($maskitto_light['social-network-facebook']) && $maskitto_light['social-network-facebook']){ ?>
								<a href="<?php echo esc_url($maskitto_light['social-network-facebook']); ?>"><i class="fa fa-facebook"></i></a>
							<?php } ?>

							<?php if(isset($maskitto_light['social-network-twitter']) && $maskitto_light['social-network-twitter']){ ?>
								<a href="<?php echo esc_url($maskitto_light['social-network-twitter']); ?>"><i class="fa fa-twitter"></i></a>
							<?php } ?>

							<?php if(isset($maskitto_light['social-network-google']) && $maskitto_light['social-network-google']){ ?>
								<a href="<?php echo esc_url($maskitto_light['social-network-google']); ?>"><i class="fa fa-google-plus"></i></a>
							<?php } ?>

							<?php if(isset($maskitto_light['social-network-youtube']) && $maskitto_light['social-network-youtube']){ ?>
								<a href="<?php echo esc_url($maskitto_light['social-network-youtube']); ?>"><i class="fa fa-youtube"></i></a>
							<?php } ?>

							<?php if(isset($maskitto_light['social-network-instagram']) && $maskitto_light['social-network-instagram']){ ?>
								<a href="<?php echo esc_url($maskitto_light['social-network-instagram']); ?>"><i class="fa fa-instagram"></i></a>
							<?php } ?>

							<?php if(isset($maskitto_light['social-network-flickr']) && $maskitto_light['social-network-flickr']){ ?>
								<a href="<?php echo esc_url($maskitto_light['social-network-flickr']); ?>"><i class="fa fa-flickr"></i></a>
							<?php } ?>

							<?php if(isset($maskitto_light['social-network-foursquare']) && $maskitto_light['social-network-foursquare']){ ?>
								<a href="<?php echo esc_url($maskitto_light['social-network-foursquare']); ?>"><i class="fa fa-foursquare"></i></a>
							<?php } ?>

						<?php } ?>
					</div>
				</div>
			</div>
			<?php } ?>
		</div>
		<nav class="primary navbar navbar-default" role="navigation">

			<div class="container">
				<div class="navbar-header">
					<button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
						<i class="fa fa-bars"></i>
					</button>
					<a class="navbar-brand" href="<?php echo get_home_url(); ?>">
						<?php if(isset($maskitto_light['logo-image']) && $maskitto_light['logo-image']['url']) { ?>
							<img src="<?php echo esc_url($maskitto_light['logo-image']['url']); ?>" alt="" />
						<?php } else { ?>
							<img src="<?php echo get_template_directory_uri();?>/img/logo.png" alt="" />
						<?php } ?>
					</a>
				</div>

				<div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
					<?php /* Primary navigation */
						wp_nav_menu( array(
							'theme_location' => 'primary',
							'menu' => 'Primary navigation',
							'depth' => 2,
							'container' => false,
							'fallback_cb' => 'false',
							'menu_class' => 'nav navbar-nav navbar-right',
							'walker' => new maskitto_light_wp_bootstrap_navwalker())
						);

						if ( !has_nav_menu( 'primary' ) ) { ?>
							<ul class="nav navbar-nav navbar-right">
								<li class="menu-item menu-item-type-post_type menu-item-object-page"><a href="#"><?php _e( 'No menu is assigned!', 'maskitto-light' ); ?></a></li>
							</ul>
					<?php } ?>

					<ul id="menu-header-menu-1" class="nav navbar-nav navbar-right navbar-secondary">
						<li class="menu-item menu-item-type-custom menu-item-object-custom menu-item-102"><a href="#"><?php _e( 'Social links', 'maskitto-light' ); ?></a></li>
						<li class="menu-item menu-item-type-custom menu-item-object-custom menu-item-102 menu-social-icons">
						<?php if(isset($maskitto_light['header-social']) && $maskitto_light['header-social']){ ?>

							<?php if(isset($maskitto_light['social-network-facebook']) && $maskitto_light['social-network-facebook']){ ?>
								<a href="<?php echo esc_url($maskitto_light['social-network-facebook']); ?>"><i class="fa fa-facebook"></i></a>
							<?php } ?>

							<?php if(isset($maskitto_light['social-network-twitter']) && $maskitto_light['social-network-twitter']){ ?>
								<a href="<?php echo esc_url($maskitto_light['social-network-twitter']); ?>"><i class="fa fa-twitter"></i></a>
							<?php } ?>

							<?php if(isset($maskitto_light['social-network-google']) && $maskitto_light['social-network-google']){ ?>
								<a href="<?php echo esc_url($maskitto_light['social-network-google']); ?>"><i class="fa fa-google-plus"></i></a>
							<?php } ?>

							<?php if(isset($maskitto_light['social-network-youtube']) && $maskitto_light['social-network-youtube']){ ?>
								<a href="<?php echo esc_url($maskitto_light['social-network-youtube']); ?>"><i class="fa fa-youtube"></i></a>
							<?php } ?>

							<?php if(isset($maskitto_light['social-network-instagram']) && $maskitto_light['social-network-instagram']){ ?>
								<a href="<?php echo esc_url($maskitto_light['social-network-instagram']); ?>"><i class="fa fa-instagram"></i></a>
							<?php } ?>

							<?php if(isset($maskitto_light['social-network-flickr']) && $maskitto_light['social-network-flickr']){ ?>
								<a href="<?php echo esc_url($maskitto_light['social-network-flickr']); ?>"><i class="fa fa-flickr"></i></a>
							<?php } ?>

							<?php if(isset($maskitto_light['social-network-foursquare']) && $maskitto_light['social-network-foursquare']){ ?>
								<a href="<?php echo esc_url($maskitto_light['social-network-foursquare']); ?>"><i class="fa fa-foursquare"></i></a>
							<?php } ?>

						<?php } ?>
						</li>
					</ul>

				</div>
			</div>

		</nav>

	</header>
	<div id="wrapper">

		<noscript>
			<div class="enable-javascript"><?php _e( 'Javascript is disabled in your web browser. Please enable it', 'maskitto-light' ); ?> <a href="<?php echo esc_attr($enable_javascript); ?>" target="_blank" style="color:#fff;"><?php _e( '(see how)', 'maskitto-light' ); ?></a>.</div>
		</noscript>